Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.46 by aonoto, Sun Apr 25 10:38:55 2010 UTC revision 1.47 by aonoto, Sun Jul 11 10:18:16 2010 UTC
# Line 989  _ACEOF Line 989  _ACEOF
989    
990    cat <<\_ACEOF    cat <<\_ACEOF
991    
992    Program names:
993      --program-prefix=PREFIX            prepend PREFIX to installed program names
994      --program-suffix=SUFFIX            append SUFFIX to installed program names
995      --program-transform-name=PROGRAM   run sed PROGRAM on installed program names
996    
997  X features:  X features:
998    --x-includes=DIR    X include files are in DIR    --x-includes=DIR    X include files are in DIR
999    --x-libraries=DIR   X library files are in DIR    --x-libraries=DIR   X library files are in DIR
# Line 1020  Optional Features: Line 1025  Optional Features:
1025    --enable-kWnn           build and install kWnn [default=yes]    --enable-kWnn           build and install kWnn [default=yes]
1026    --enable-ipv6           build and install IPv6 [default=no]    --enable-ipv6           build and install IPv6 [default=no]
1027    --enable-unsafe-path    allow creating files in an arbitrary path [default=no]    --enable-unsafe-path    allow creating files in an arbitrary path [default=no]
1028      --enable-traditional-layout Install files in traditional directories [default=yes]
1029      --enable-sub-bindir         Install executables to (ex.) $(bindir)/Wnn4 [default=yes if --enable-traditional-layout, no otherwise]
1030    --enable-shared[=PKGS]    --enable-shared[=PKGS]
1031                            build shared libraries [default=yes]                            build shared libraries [default=yes]
1032    --enable-static[=PKGS]    --enable-static[=PKGS]
# Line 1512  host_os=`echo $ac_cv_host | sed 's/^\([^ Line 1519  host_os=`echo $ac_cv_host | sed 's/^\([^
1519    
1520    
1521    
1522    test "$program_prefix" != NONE &&
1523      program_transform_name="s,^,$program_prefix,;$program_transform_name"
1524    # Use a double $ so make ignores it.
1525    test "$program_suffix" != NONE &&
1526      program_transform_name="s,\$,$program_suffix,;$program_transform_name"
1527    # Double any \ or $.  echo might interpret backslashes.
1528    # By default was `s,x,x', remove it if useless.
1529    cat <<\_ACEOF >conftest.sed
1530    s/[\\$]/&&/g;s/;s,x,x,$//
1531    _ACEOF
1532    program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1533    rm conftest.sed
1534    
1535    
1536    
1537  # Check whether --enable-debug or --disable-debug was given.  # Check whether --enable-debug or --disable-debug was given.
1538  if test "${enable_debug+set}" = set; then  if test "${enable_debug+set}" = set; then
# Line 1857  _ACEOF Line 1878  _ACEOF
1878    
1879  fi  fi
1880    
1881    # Check whether --enable-traditional-layout or --disable-traditional-layout was given.
1882    if test "${enable_traditional_layout+set}" = set; then
1883      enableval="$enable_traditional_layout"
1884      case "${enableval}" in
1885       yes) trad_layout=true ;;
1886       no)  trad_layout=false ;;
1887       *)   { { echo "$as_me:$LINENO: error: bad value for --enable-traditional-layout" >&5
1888    echo "$as_me: error: bad value for --enable-traditional-layout" >&2;}
1889       { (exit 1); exit 1; }; } ;;
1890    esac
1891    else
1892      trad_layout=true
1893    fi;
1894    
1895    if test $trad_layout = "true"; then
1896      WNNSBINDIR="\$(bindir)"
1897      # More path settings will come later ...
1898    else
1899      WNNSBINDIR="\$(sbindir)"
1900      # Same as above.
1901    fi
1902    
1903    
1904    # Check whether --enable-sub-bindir or --disable-sub-bindir was given.
1905    if test "${enable_sub_bindir+set}" = set; then
1906      enableval="$enable_sub_bindir"
1907      case "${enableval}" in
1908       yes) sub_bindir=true ;;
1909       no)  sub_bindir=false ;;
1910       *)   { { echo "$as_me:$LINENO: error: bad value for --enable-sub-bindir" >&5
1911    echo "$as_me: error: bad value for --enable-sub-bindir" >&2;}
1912       { (exit 1); exit 1; }; } ;;
1913    esac
1914    else
1915      sub_bindir=guess
1916    fi;
1917    
1918    if test $sub_bindir = "guess"; then
1919      if test $trad_layout = "true"; then
1920        sub_bindir=true
1921      else
1922        sub_bindir=false
1923      fi
1924    fi
1925    if test $sub_bindir = "true"; then
1926      if_enable_sub_bindir=' '
1927      if_disable_sub_bindir='#'
1928    else
1929      if_enable_sub_bindir='#'
1930      if_disable_sub_bindir=' '
1931    fi
1932    
1933    
1934    
1935    # for debug
1936    echo "$as_me:$LINENO: checking if we use traditional layout" >&5
1937    echo $ECHO_N "checking if we use traditional layout... $ECHO_C" >&6
1938    if test $trad_layout = "true"; then
1939      echo "$as_me:$LINENO: result: yes" >&5
1940    echo "${ECHO_T}yes" >&6
1941    else
1942      echo "$as_me:$LINENO: result: no" >&5
1943    echo "${ECHO_T}no" >&6
1944    fi
1945    
1946    echo "$as_me:$LINENO: checking if we install binaries on \$(bindir)/Wnn4 (etc.)" >&5
1947    echo $ECHO_N "checking if we install binaries on \$(bindir)/Wnn4 (etc.)... $ECHO_C" >&6
1948    if test $sub_bindir = "true"; then
1949      echo "$as_me:$LINENO: result: yes" >&5
1950    echo "${ECHO_T}yes" >&6
1951    else
1952      echo "$as_me:$LINENO: result: no" >&5
1953    echo "${ECHO_T}no" >&6
1954    fi
1955    
1956  ac_ext=c  ac_ext=c
1957  ac_cpp='$CPP $CPPFLAGS'  ac_cpp='$CPP $CPPFLAGS'
1958  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 3575  ia64-*-hpux*) Line 3671  ia64-*-hpux*)
3671    ;;    ;;
3672  *-*-irix6*)  *-*-irix6*)
3673    # Find out which ABI we are using.    # Find out which ABI we are using.
3674    echo '#line 3578 "configure"' > conftest.$ac_ext    echo '#line 3674 "configure"' > conftest.$ac_ext
3675    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3676    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3677    ac_status=$?    ac_status=$?
# Line 4691  fi Line 4787  fi
4787    
4788    
4789  # Provide some information about the compiler.  # Provide some information about the compiler.
4790  echo "$as_me:4694:" \  echo "$as_me:4790:" \
4791       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4792  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4793  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 6007  else Line 6103  else
6103     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6104     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6105     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6106     (eval echo "\"\$as_me:6010: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6106: $lt_compile\"" >&5)
6107     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6108     ac_status=$?     ac_status=$?
6109     cat conftest.err >&5     cat conftest.err >&5
6110     echo "$as_me:6014: \$? = $ac_status" >&5     echo "$as_me:6110: \$? = $ac_status" >&5
6111     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6112       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6113       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 6297  else Line 6393  else
6393     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6394     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6395     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6396     (eval echo "\"\$as_me:6300: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6396: $lt_compile\"" >&5)
6397     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6398     ac_status=$?     ac_status=$?
6399     cat conftest.err >&5     cat conftest.err >&5
6400     echo "$as_me:6304: \$? = $ac_status" >&5     echo "$as_me:6400: \$? = $ac_status" >&5
6401     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6402       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6403       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 6401  else Line 6497  else
6497     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6498     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6499     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6500     (eval echo "\"\$as_me:6404: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6500: $lt_compile\"" >&5)
6501     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
6502     ac_status=$?     ac_status=$?
6503     cat out/conftest.err >&5     cat out/conftest.err >&5
6504     echo "$as_me:6408: \$? = $ac_status" >&5     echo "$as_me:6504: \$? = $ac_status" >&5
6505     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
6506     then     then
6507       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8687  else Line 8783  else
8783    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8784    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8785    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8786  #line 8690 "configure"  #line 8786 "configure"
8787  #include "confdefs.h"  #include "confdefs.h"
8788    
8789  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 8787  else Line 8883  else
8883    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8884    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8885    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8886  #line 8790 "configure"  #line 8886 "configure"
8887  #include "confdefs.h"  #include "confdefs.h"
8888    
8889  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11174  else Line 11270  else
11270     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11271     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11272     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11273     (eval echo "\"\$as_me:11177: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11273: $lt_compile\"" >&5)
11274     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
11275     ac_status=$?     ac_status=$?
11276     cat conftest.err >&5     cat conftest.err >&5
11277     echo "$as_me:11181: \$? = $ac_status" >&5     echo "$as_me:11277: \$? = $ac_status" >&5
11278     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
11279       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
11280       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 11278  else Line 11374  else
11374     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11375     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11376     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11377     (eval echo "\"\$as_me:11281: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11377: $lt_compile\"" >&5)
11378     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
11379     ac_status=$?     ac_status=$?
11380     cat out/conftest.err >&5     cat out/conftest.err >&5
11381     echo "$as_me:11285: \$? = $ac_status" >&5     echo "$as_me:11381: \$? = $ac_status" >&5
11382     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
11383     then     then
11384       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 12861  else Line 12957  else
12957     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12958     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12959     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12960     (eval echo "\"\$as_me:12864: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12960: $lt_compile\"" >&5)
12961     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12962     ac_status=$?     ac_status=$?
12963     cat conftest.err >&5     cat conftest.err >&5
12964     echo "$as_me:12868: \$? = $ac_status" >&5     echo "$as_me:12964: \$? = $ac_status" >&5
12965     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12966       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12967       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 12965  else Line 13061  else
13061     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
13062     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13063     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13064     (eval echo "\"\$as_me:12968: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13064: $lt_compile\"" >&5)
13065     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
13066     ac_status=$?     ac_status=$?
13067     cat out/conftest.err >&5     cat out/conftest.err >&5
13068     echo "$as_me:12972: \$? = $ac_status" >&5     echo "$as_me:13068: \$? = $ac_status" >&5
13069     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
13070     then     then
13071       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 15153  else Line 15249  else
15249     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15250     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15251     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15252     (eval echo "\"\$as_me:15156: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15252: $lt_compile\"" >&5)
15253     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15254     ac_status=$?     ac_status=$?
15255     cat conftest.err >&5     cat conftest.err >&5
15256     echo "$as_me:15160: \$? = $ac_status" >&5     echo "$as_me:15256: \$? = $ac_status" >&5
15257     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15258       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15259       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 15443  else Line 15539  else
15539     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15540     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15541     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15542     (eval echo "\"\$as_me:15446: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15542: $lt_compile\"" >&5)
15543     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15544     ac_status=$?     ac_status=$?
15545     cat conftest.err >&5     cat conftest.err >&5
15546     echo "$as_me:15450: \$? = $ac_status" >&5     echo "$as_me:15546: \$? = $ac_status" >&5
15547     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15548       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15549       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 15547  else Line 15643  else
15643     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15644     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15645     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15646     (eval echo "\"\$as_me:15550: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15646: $lt_compile\"" >&5)
15647     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
15648     ac_status=$?     ac_status=$?
15649     cat out/conftest.err >&5     cat out/conftest.err >&5
15650     echo "$as_me:15554: \$? = $ac_status" >&5     echo "$as_me:15650: \$? = $ac_status" >&5
15651     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
15652     then     then
15653       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 21404  s,@DEPKWNNJLIB@,$DEPKWNNJLIB,;t t Line 21500  s,@DEPKWNNJLIB@,$DEPKWNNJLIB,;t t
21500  s,@KHINSI_DATA@,$KHINSI_DATA,;t t  s,@KHINSI_DATA@,$KHINSI_DATA,;t t
21501  s,@ipv6@,$ipv6,;t t  s,@ipv6@,$ipv6,;t t
21502  s,@unsafe_path@,$unsafe_path,;t t  s,@unsafe_path@,$unsafe_path,;t t
21503    s,@WNNSBINDIR@,$WNNSBINDIR,;t t
21504    s,@if_enable_sub_bindir@,$if_enable_sub_bindir,;t t
21505    s,@if_disable_sub_bindir@,$if_disable_sub_bindir,;t t
21506  s,@CC@,$CC,;t t  s,@CC@,$CC,;t t
21507  s,@CFLAGS@,$CFLAGS,;t t  s,@CFLAGS@,$CFLAGS,;t t
21508  s,@LDFLAGS@,$LDFLAGS,;t t  s,@LDFLAGS@,$LDFLAGS,;t t

Legend:
Removed from v.1.46  
changed lines
  Added in v.1.47

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26